# $Revision: 1.7 $, $Date: 2006/06/01 15:58:38 $
#
# Conditional build:
%bcond_without	startup		# build without resource database initiallization
%bcond_without	udev		# build with hotplug instead of udev
#
Summary:	PCMCIA initialization utils for Linux kernels >= 2.6.13
Summary(pl):	Narzdzia startowe pcmcia dla jder Linuksa >= 2.6.13
Name:		pcmciautils
Version:	014
Release:	1
License:	GPL v2
Group:		Base
Source0:	http://kernel.org/pub/linux/utils/kernel/pcmcia/%{name}-%{version}.tar.bz2
# Source0-md5:	3f07c926875f6c5dcb83240f39725177
URL:		http://kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	sed >= 4.0
BuildRequires:	sysfsutils-devel >= 1.3.0
Requires:	module-init-tools >= 3.2-0.pre4.1
%{!?with_udev:Requires:	hotplug}
%{?with_udev:Requires:	udev}
#if kernel used >= 2.6.13
#Obsoletes:	pcmcia-cs
#else
#BuildRequires:	useless
#endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PCMCIA initialization utils to be used with Linux kernels >= 2.6.13.
They are designed for new PCMCIA subsystem and are replacement for old
pcmcia-cs package.

%description -l pl
Narzdzia startowe pcmcia dla jder Linuksa >= 2.6.13. Zostay
stworzone dla nowego podsystemu PCMCIA i zastpuj stary pakiet
pcmcia-cs.

%prep
%setup -q

%build
%if %{without startup}
sed -i -e "s#STARTUP =.*#STARTUP = false#g" Makefile
%endif
%if %{with udev}
sed -i -e "s#UDEV =.*#UDEV = true#g" Makefile
%endif

%{__make} \
	KERNEL_DIR=/usr \
	YACC="bison -y" \
	CC="%{__cc}" \
	OPTIMIZATION="%{rpmcflags}" \
	STRIPCMD=true

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%if %{with startup}
%dir %{_sysconfdir}/pcmcia
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pcmcia/config.opts
%endif
%if %{with udev}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/60-pcmcia.rules
%else
%{_sysconfdir}/hotplug/*
%endif
%attr(755,root,root) /sbin/pccardctl
%attr(755,root,root) /sbin/pcmcia-check-broken-cis
%if %{with startup}
%attr(755,root,root) /sbin/pcmcia-socket-startup
%endif
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcmciautils.spec,v $
Revision 1.7  2006/06/01 15:58:38  paszczus
- updated to 0.14, new lspcmcia tool

Revision 1.6  2006/01/16 17:11:06  havner
- 012
- manpage added

Revision 1.5  2005/11/16 12:51:46  havner
- conditial R: (udev or hotplug)
- rel 1

Revision 1.4  2005/11/15 23:05:09  qboosh
- use bison instead of yacc
- avoid using running kernel headers (use llh instead)
- use optflags, avoid stripping on build

Revision 1.3  2005/11/15 22:36:12  qboosh
- pl cosmetics

Revision 1.2  2005/11/12 00:25:50  havner
- removed unused %%patch line

Revision 1.1  2005/11/12 00:21:21  havner
- new pcmciautils as a replacement for pcmcia-cs package.
  they require module-init-tools from DEVEL branch for now.
  tested with both udev and hotplug.
- may require better descriptions
- rpmflags are not given for Makefile
